<?php
/**
 * MYVA asetustiedosto
 * @author Ohjelmistotuotantoprojektiryhm myva, Helsingin yliopisto, Tietojenksittelytieteenlaitos
 * @version
 * @package myva
 * @subpackage Definitions
 */
 
class MYVA_CONFIG {

/**
 * Majakka-kuvatiedoston url-osoite.
 */
  const BEACON_URL = 'http://www.example.invalid/1.gif';


/**
 * Url-osoite eventsMessageLinks-luokan event-metodiin tai siihen uudelleenohjaavaan osoitteeseen.
 * Tm osoite sisllytetn asiakkaille lhetettviin viesteihin.
 * Siksi sen tulisi olla mahdollisimman lyhyt.
 */
  const EVENTS_MESSAGE_LINKS_URL = 'http://www.example.invalid/event';


/**
 * Kannustusviestien nyttmisen minimivli minuutteina.
 */
  const ENCOURAGEMENT_MIN_INTERVAL = 90;


/**
 * Kannustusviestien nyttmisen maksimivli minuutteina.
 */
  const ENCOURAGEMENT_MAX_INTERVAL = 180;


/**
 * Aikahaarukka minuutteina, jolta lasketaan tilastollisesti parhaita hetki.
 * Esim. asiakkaiden paras tavoitettavuusajankohta tss asetetun minuuttimrn
 * tarkkuudella.
 */
  const STATISTIC_TIME_FRAME = 120;


/**
 * Aika minuutteina, jonka ylittvist puheluista nytetn kyttjlle varoitus
 * ja tarjotaan mahdollisuus korjata puheluun kytetty aika oikeaksi.
 */
  const CALL_DURATION_WARN_LIMIT = 120;

/**
 * Aika sekunteina, jonka kuluttua voimassa oleva sessio vanhenee, mikli kyttj ei
 * sen kuluessa ole tehnyt palvelinpyynt jrjestelmn.
 */
  const SESSION_TIMEOUT = 10000;
  

  /**
   * Tietokantakohtainen funktion nimi, joka eskapoi vaaditut merkit tietokannalle 
   * annettavista sytteist.
   * @deprecated Jrjestelm ei kyt tt arvoa kyttv metodia.
   */
  const ESCAPE_FUNCTION = 'mysql_real_escape_string';
}
// Tll sdetn session elinik serverill oikein
ini_set('session.gc_maxlifetime', MYVA_CONFIG::SESSION_TIMEOUT);
ini_set('memory_limit', "16M");
?>
