<?php
/**
 * SalesArgument
 * @author Ohjelmistotuotantoprojektiryhm myva, Helsingin yliopisto, Tietojenksittelytieteenlaitos
 * @version
 * @package myva
 * @subpackage Models
 */
class SalesArgument extends AppModel {

	var $name = 'SalesArgument';

	var $validate = array(
      'id' => VALID_NON_NEG_INT,
      'argument' => VALID_NOT_EMPTY,
      'created' => VALID_DB_DATETIME_OR_EMPTY,
      'modified' => VALID_DB_DATETIME_OR_EMPTY,
      'campaign_id' => VALID_NON_NEG_INT
	  );
	
	var $hasMany = array('Event' =>
                         array('className'     => 'Event',
                               'conditions'    => '',
                               'order'         => '',
                               'limit'         => '',
                               'foreignKey'    => '',
                               'dependent'     => '',
                               'exclusive'     => '',
                               'finderQuery'   => ''
                         )
	);
	
	var $belongsTo = array('Campaign' =>
                           array('className'  => 'Campaign',
                                 'conditions' => '',
                                 'order'      => '',
                                 'foreignKey' => ''
                           )
	);

}
?>