<?php
/**
 * User
 * @author Ohjelmistotuotantoprojektiryhm myva, Helsingin yliopisto, Tietojenksittelytieteenlaitos
 * @version
 * @package myva
 * @subpackage Models
 */
class User extends AppModel {

	var $name = 'User';

	var $belongsTo = array('UserClient' =>
                           array('className'  => 'UserClient',
                                 'conditions' => '',
                                 'order'      => '',
                                 'foreignKey' => ''
                           )
	);
	
	var $hasAndBelongsToMany = array('Campaign' =>
                           array('className'  => 'Campaign',
                                 
                           ),
								'ProfileClass' =>
                               array('className'    => 'ProfileClass',
                                     'joinTable'    => '',
                                     'foreignKey'   => '',
                                     'associationForeignKey'=> '',
                                     'conditions'   => '',
                                     'order'        => '',
                                     'limit'        => '',
                                     'unique'       => '',
                                     'finderQuery'  => '',
                                     'deleteQuery'  => '',
                               )
	);
	
	var $hasMany = array('Event' =>
                         array('className'     => 'Event',
                               'conditions'    => '',
                               'order'         => '',
                               'limit'         => '',
                               'foreignKey'    => '',
                               'dependent'     => '',
                               'exclusive'     => '',
                               'finderQuery'   => ''
                         ),
    'CampaignsUser' =>
                         array('className'     => 'CampaignsUser',
                               'conditions'    => '',
                               'order'         => '',
                               'limit'         => '',
                               'foreignKey'    => '',
                               'dependent'     => '',
                               'exclusive'     => '',
                               'finderQuery'   => ''
      )
	);

	function test(){
	  new Test($this);
	}
}

class Test{
  function __construct(&$controller){
     if (DEBUG > 0) print_r($controller->User->findALl());
  }
}

?>