<?php
/**
 * TestsController 
 * @author myva-ryhm
 * @version
 * @package myva
 * @subpackage Controllers
 */

if (! defined('SIMPLE_TEST')){
  define('SIMPLE_TEST', 'vendors/simpletest/');
}
require_once(SIMPLE_TEST . 'unit_tester.php');
require_once(SIMPLE_TEST . 'reporter.php');

//Tnne listn testiluokat
require_once('app/tests/' . 'campaigns_user_tests.php');
require_once('app/tests/' . 'event_tests.php');
require_once('app/tests/' . 'classifications_target_clients_tests.php');
require_once('app/tests/' . 'message_link_tests.php');
require_once('app/tests/' . 'target_client_tests.php');
require_once('app/tests/' . 'campaign_tests.php');

class TestsController extends AppController {

  var $name = 'Tests';
  var $uses = array('User', 'CampaignsUser', 'Event', 'TargetClient', 'MessageLink', 'ClassificationsTargetClients', 
                    'Campaign', 'UserClient');

  function __construct (){
    parent::__construct();
    // Jos ei olla debug-tilassa, estetn testien ajaminen
    if (DEBUG == 0){
      die('Toiminto kielletty');
    }
    $this->need_not_login = array('test');
    
  }

  function test(){
    
    for ($i=1; $i<700; $i++){
      $save_array['TargetClient']['id'] = null;
      $save_array['TargetClient']['name'] = "nimi" . $i;
      $save_array['TargetClient']['campaign_id'] = 1;
      $save_array['TargetClient']['campaigns_user_id'] =1;
      $save_array['TargetClient']['target_client_state_id'] ="Ei aloitettu";
      $this->TargetClient->save($save_array);
      $id = $this->TargetClient->getLastInsertId();
      $event['Event']['id'] = null;
      $event['Event']['target_client_id'] = $id;
      $event['Event']['event_type_id'] = "Luotu";
      $event['Event']['start_time'] = "2007-03-30";
      $event['Event']['end_time'] = "2007-03-30";
      $event['Event']['user_id'] = 1;
      set_time_limit(300);
      for($k = 1; $k<30; $k++){
        
        if ($k < 10){
          $d = "0" . $k;          
        } else {
          $d = $k;
        }
        
        
        $this->Event->save($event);
        $event['Event']['id'] = null;
        $event['Event']['target_client_id'] = $id;
        $event['Event']['event_type_id'] = "Varattu";
        $event['Event']['start_time'] = "2007-04-" . $d . " 12:00:" . $d;
        $event['Event']['end_time'] = "2007-04-" . $d ." 12:00:" . $d;
        $event['Event']['user_id'] = 1;
        $this->Event->save($event);
        $event['Event']['id'] = null;
        $event['Event']['target_client_id'] = $id;
        $event['Event']['event_type_id'] = "Tavoitettu";
        $event['Event']['start_time'] = "2007-05-" . $d . " 13:" . $d . ":" . $d;
        $event['Event']['end_time'] = "2007-05-" . $d . " 13:" . $d . ":" . $d;
        $event['Event']['user_id'] = 1;
        $this->Event->save($event);
      }
      for($k = 1; $k<30; $k++){
      if ($k < 10){
          $d = "0" . $k;          
        } else {
          $d = $k;
        }
      
        $this->Event->save($event);
        $event['Event']['id'] = null;
        $event['Event']['target_client_id'] = $id;
        $event['Event']['event_type_id'] = "Varattu";
        $event['Event']['start_time'] = "2007-06-" . $d . " 13:00:" . $d;
        $event['Event']['end_time'] = "2007-06-" . $d . " 13:00:" . $d;
        $event['Event']['user_id'] = 1;
        $this->Event->save($event);
        $event['Event']['id'] = null;
        $event['Event']['target_client_id'] = $id;
        $event['Event']['event_type_id'] = "Tavoitettu";
        $event['Event']['start_time'] = "2007-07-" .$d. " 13:" . $d . ":" . $d;
        $event['Event']['end_time'] = "2007-07-" . $d. " 13:" . $d . ":" . $d;
        $event['Event']['user_id'] = 1;
        $this->Event->save($event);
      }
      
    }
	
    $startti = microtime(true);
    //if (DEBUG > 0) print_r ($this->CampaignsUser->getUserCampaigns(1));
      
    //return;
    //Luodaan ryhm
    $test = new GroupTest('Kaikki testit');
    //Listn siihen campaignuserin ja eventin testit
    
    $test->addTestCase(new CampaignsUserTest($this));    
    $test->addTestCase(new EventTest($this));
    
	
	$test->addTestCase(new ClassificationsTargetClientsTest($this));
     
	
	$test->addTestCase(new MessageLinkTest($this));
    $test->addTestCase(new CampaignTest($this));
	$test->addTestCase(new TargetClientTest($this));
	$test->addTestCase(new CampaignTest($this));
	
    //Sytetn testiolio nkymlle
    $this->set('raportti', $test);
    $this->set('microtime', $startti);
    // Ennen checkej 5.9123299121857 
  }

}