<?php
/**
 * Classification
 * @author Ohjelmistotuotantoprojektiryhm myva, Helsingin yliopisto, Tietojenksittelytieteenlaitos
 * @version
 * @package myva
 * @subpackage Models
 */
class Classification extends AppModel {

	var $name = 'Classification';

  var $validate = array(
      'id' => VALID_NON_NEG_INT,
      'classification' => VALID_NOT_EMPTY,
      'created' => VALID_DB_DATETIME_OR_EMPTY,
      'modified' => VALID_DB_DATETIME_OR_EMPTY,
      'campaign_id' => VALID_NON_NEG_INT
  );

	var $belongsTo = array('Campaign' =>
                           array('className'  => 'Campaign',
                                 'conditions' => '',
                                 'order'      => '',
                                 'foreignKey' => ''
                           )
	);
	
	var $hasAndBelongsToMany = array('TargetClient' =>
                               array('className'    => 'TargetClient',
                                     'joinTable'    => '',
                                     'foreignKey'   => '',
                                     'associationForeignKey'=> '',
                                     'conditions'   => '',
                                     'order'        => '',
                                     'limit'        => '',
                                     'unique'       => '',
                                     'finderQuery'  => '',
                                     'deleteQuery'  => '',
                               )
	);

	/**
	 * Palauttaa luokittelutietojen raportin
	 *
	 * @param unknown_type $campaigns_id
	 * @param unknown_type $user_id
	 */
	//TODO tysin kesken
	function getClassificationsReport($campaigns_id, $user_id){
	  
	}
	
}
?>