<?php
/**
 * ClassificationsTargetClients-luokan testit
 *
 */
class ClassificationsTargetClientsTest extends UnitTestCase {
  var $controller;
  function __construct(&$controller){
    parent::__construct();
    $this->controller = &$controller;
    $this->UnitTestCase(); 
  }

  function testgetTargetClientsClassificationReport(){
    //Nelj linkki odottelemme
    $this->assertEqual(4,count($this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1)));
    $result = $this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1);
  
    //Ensimminen luokittelu
    $this->assertEqual("Ei autoa/Ei osta", $result[0]['Classification']['classification']);
    $this->assertEqual(1, $result[0]['TargetClientClassification']['count']);   
    $this->assertEqual(2.941176470588235, $result[0]['TargetClientClassification']['percentage_all']);   
    $this->assertEqual(25, $result[0]['TargetClientClassification']['percentage_called']);    
    
    //Toinen luokittelu11.42857142857143
    $this->assertEqual("Ei autoa/Ostamassa", $result[1]['Classification']['classification']);
    $this->assertEqual(2, $result[1]['TargetClientClassification']['count']);   
    $this->assertEqual(round(5.8823529411765,2), round($result[1]['TargetClientClassification']['percentage_all'], 2));   
    $this->assertEqual(50, $result[1]['TargetClientClassification']['percentage_called']);   

    //Kolmas luokittelu
    $this->assertEqual("On auto/Ei osta", $result[2]['Classification']['classification']);
    $this->assertEqual(1, $result[2]['TargetClientClassification']['count']);   
    $this->assertEqual(2.941176470588235, $result[2]['TargetClientClassification']['percentage_all']);   
    $this->assertEqual(25, $result[2]['TargetClientClassification']['percentage_called']);   

    //Neljs luokittelu
    $this->assertEqual("On auto/Vaihtaa", $result[3]['Classification']['classification']);
    $this->assertEqual(1, $result[3]['TargetClientClassification']['count']);   
    $this->assertEqual(2.941176470588235, $result[3]['TargetClientClassification']['percentage_all']);   
    $this->assertEqual(25, $result[3]['TargetClientClassification']['percentage_called']);   

    //Ei odoteta mitn
    $this->assertEqual(0,count($this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(2,1)));

    //Nelj linkki odottelemme pivmr rajauksilla
    $this->assertEqual(4,count($this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1,'2007-07-01','2007-07-14')));
    $result = $this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1,'2007-07-01','2007-08-01');

    //Nelj linkki odottelemme pivmr rajauksilla
    $this->assertEqual(4,count($this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1,'2007-07-01')));
    $result = $this->controller->ClassificationsTargetClients->getTargetClientsClassificationReport(-1,1,'2007-07-01');
  }
}
